package be.iminds.ilabt.jfed.experimenter_gui.preferences;

import be.iminds.ilabt.jfed.experimenter_gui.ui.AbstractDialogFactory;
import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;

import javax.inject.Inject;
import javax.inject.Named;
import javax.inject.Provider;
import javax.inject.Singleton;
import java.net.URL;

/**
 * User: twalcari
 * Date: 12/6/13
 * Time: 2:44 PM
 */
@Singleton
public class PreferencesDialogFactory extends AbstractDialogFactory {
    @Inject
    public PreferencesDialogFactory(Provider<FXMLLoader> loaderProvider, @Named("parentStage") Provider<Stage> parentStageProvider ) {
        super(loaderProvider, parentStageProvider);
    }

    @Override
    protected URL getFxmlLocation() {
        return getClass().getResource("MainPreferencesPane.fxml");
    }

    @Override
    protected String getTitle() {
        return "jFed Preferences";
    }
}
